Subject: [PATCH 1/5] ARM: imx: gpc: Do not print error message for EPROBE_DEFER

From: [email-masked] (Leonard Crestez)
Date: Tue, 4 Apr 2017 13:28:03 +0300

On Tue, 2017-04-04 at 11:46 +0200, Lucas Stach wrote:
> Am Freitag, den 31.03.2017, 22:25 +0300 schrieb Leonard Crestez:
> > 
> > The pu regulator request will return -EPROBE_DEFER if it has a supply
> > from PMIC and this supply is not yet registered. This does not represent
> > an error since the driver will call probe again later, so only print a
> > warning message in this case.
> > 
> > Signed-off-by: Irina Tirdea <[email-masked]>
> > Signed-off-by: Leonard Crestez <[email-masked]>
> > ---
> > ?arch/arm/mach-imx/gpc.c | 6 +++++-
> The driver moved places, together with a large rewrite, to
> drivers/soc/imx/.
> 
> This issue isn't present in the new driver, so this patch can just be
> dropped.

Wait, I'm confused. In what tree did that happen? This patch is against
linus's tree as of last week and there is nothing in drivers/soc/imx.

I saw patches for a new gpcv2 driver but that seems to be only for
imx7. This patch is for imx6. Will that driver also support imx6?

Link:?https://lkml.org/lkml/2017/3/28/834

--
Regards,
Leonard